Get Contact Reference Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactReference/QueryOptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactReference/QueryOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference/QueryOptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference/QueryOptions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactReference/QueryOptions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": true,
"valueRequired": true
}
],
"valueOptions": [
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": true,
"valueRequired": true
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Get Contact Reference Query Options
Returns the parameters and operators available for Contact Reference queries. Use these options when building conditions for Query Contact References. Filter parameters are Contact Id, Contact Individual Id, Reference Source, Reference Id, Create DateTime UTC, and Last Modified DateTime UTC. Id can be sorted but is not a filter. Do not assume an operator is supported unless it appears in this response.
GET
/
api
/
ContactReference
/
QueryOptions
Get Contact Reference Query Options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on October 1, 2026
Was this page helpful?